#ifndef _BOUSHI_TAR_H
#define _BOUSHI_TAR_H

#include <stdbool.h>
#include <sys/types.h>

typedef bool (*tar_func_t)(void *, const char *name, const void *buf, size_t len);
extern bool tar_read(int fd, tar_func_t func, void *data);
extern bool tar_write(int fd, const char *name, const void *data, size_t size);
extern bool tar_end(int fd);

#endif
